`timescale 10ns/1ns

/**
TEST WHICH JUST CONTINUALLY PUSHES DATA ONTO FSL FOR PROCESSING
*/
module outer_wrapper_Full_test_v_tf();

// DATE:     11:05:42 03/20/2005 
// MODULE:   outer_wrapper
// DESIGN:   outer_wrapper
// FILENAME: Full_ver.v
// PROJECT:  overlapp
// VERSION:  

// Inputs
    reg clk;
    reg rst;
    reg [0:31] FSL_in_data;
    reg [0:15] data;
    reg FSL_in_exists;
    reg FSL_in_cntrl;
    reg FSL_out_full;

    integer fIn;	
    integer fOut;
    integer out_count;
    integer i, j;
// Outputs
    wire FSL_in_read;
    wire [0:31] FSL_out_data;
    wire FSL_out_write;
    wire FSL_out_cntrl;


// Bidirs


// Instantiate the UUT
    outer_wrapper uut (
        .clk(clk), 
        .rst(rst), 
        .FSL_in32(FSL_in_data), 
        .FSL_in_exists(FSL_in_exists), 
        .FSL_in_read(FSL_in_read), 
        .FSL_in_cntrl(FSL_in_cntrl), 
        .FSL_out32(FSL_out_data), 
        .FSL_out_full(FSL_out_full), 
        .FSL_out_write(FSL_out_write), 
        .FSL_out_cntrl(FSL_out_cntrl)
        );

	   always #5 clk = ~clk;

	   always @(posedge FSL_out_write)
	   begin
	   		if (FSL_out_data[12:27] != 7281)
			begin
			//	$display("data bit %d::%d", out_count, FSL_out_data[12:27]);
			//	out_count = out_count + 1;
			end
	   end		    

	//handle output
	   always @(negedge FSL_in_read) FSL_in_exists = 1'b0;

	//this test just runs continually pushing data onto the FSL
	//each cycle pushes more information on to see what happens after long
	//periods of time
        initial begin
            clk = 0;
            rst = 1;
		  out_count = 0;
            FSL_in_data = 0;
            FSL_in_exists = 0;
            FSL_in_cntrl = 0;
            FSL_out_full = 0;
	
		  #20
		  rst = 0;

		  for (i = 0; i < 10; i = i + 1)
		  begin	
				#30;
		  		FSL_in_data = 'b000000001;							 
				#5
				FSL_in_exists = 1'b1;
				
				for (j = 0; j < 128; j = j + 1)
				begin
					#35;
			   		FSL_in_data = j;
					#10;
					FSL_in_exists = 1'b1;
				end

				#30;
		  		FSL_in_data = 'b001000000;							 
				#5
				FSL_in_exists = 1'b1;
				
				for (j = 0; j < 128; j = j + 1)
				begin
					#35;
			   		FSL_in_data = j;
					#10;
					FSL_in_exists = 1'b1;
				end
                
				#35
				FSL_in_data = 'b001001000;
				#10
				FSL_in_exists = 1'b1;
			   	for (j = 0; j < 256; j = j + 1)
				begin
					#35
			   		FSL_in_data = j;
					#10
					FSL_in_exists = 1'b1;
				end

				#35
				FSL_in_data = 'b000001001;
				#10
				FSL_in_exists = 1'b1;
			   	for (j = 0; j < 256; j = j + 1)
				begin
					#35
			   		FSL_in_data = j;
					#10
					FSL_in_exists = 1'b1;
				end
		  end
		  
        end

endmodule

