library verilog;
use verilog.vl_types.all;
entity fsl_overlap is
    generic(
        read_o_a        : integer := 2;
        read_o_b        : integer := 3;
        read_ab         : integer := 1;
        drop            : integer := 0
    );
    port(
        clk             : in     vl_logic;
        rst             : in     vl_logic;
        fsl_top_exists  : in     vl_logic;
        fsl_bottom_exists: in     vl_logic;
        fsl_top_data    : in     vl_logic_vector(15 downto 0);
        fsl_bottom_data : in     vl_logic_vector(15 downto 0);
        fsl_top_read    : out    vl_logic;
        fsl_bottom_read : out    vl_logic;
        fsl_top_cntrl   : in     vl_logic;
        fsl_bottom_cntrl: in     vl_logic;
        fsl_full        : in     vl_logic;
        fsl_data        : out    vl_logic_vector(15 downto 0);
        fsl_cntrl       : out    vl_logic;
        fsl_write       : out    vl_logic
    );
end fsl_overlap;
