library verilog;
use verilog.vl_types.all;
entity outer_wrapper is
    generic(
        reset           : integer := 0;
        wait_size       : integer := 1;
        get_size        : integer := 2;
        \WAIT\          : integer := 3;
        read            : integer := 4;
        flip            : integer := 5;
        wait_write      : integer := 6;
        write           : integer := 7
    );
    port(
        clk             : in     vl_logic;
        rst             : in     vl_logic;
        fsl_in32        : in     vl_logic_vector(0 to 31);
        fsl_in_exists   : in     vl_logic;
        fsl_in_read     : out    vl_logic;
        fsl_in_cntrl    : in     vl_logic;
        fsl_out32       : out    vl_logic_vector(0 to 31);
        fsl_out_full    : in     vl_logic;
        fsl_out_write   : out    vl_logic;
        fsl_out_cntrl   : out    vl_logic
    );
end outer_wrapper;
