library verilog;
use verilog.vl_types.all;
entity output_link is
    generic(
        reset           : integer := 0;
        \WAIT\          : integer := 1;
        write           : integer := 2;
        wait_done       : integer := 3
    );
    port(
        clk             : in     vl_logic;
        rst             : in     vl_logic;
        data            : in     vl_logic_vector(15 downto 0);
        fsl_full        : in     vl_logic;
        fsl_data        : out    vl_logic_vector(15 downto 0);
        fsl_cntrl       : out    vl_logic;
        fsl_write       : out    vl_logic;
        rdy             : in     vl_logic;
        done            : out    vl_logic
    );
end output_link;
