#ifndef BITSET_H
#define BITSET_H

class Bitset {
public:
	Bitset(int n, bool val = false);
	~Bitset();

	bool setBit(int n, bool val = true);
	bool getBit(int n);
	bool clearBit(int n) { return setBit(n, false); };

	void setAllBits(bool val = true);
	void print();
private:
	Bitset() { words = NULL; };
	UINT32 *words;
	int num_words;
	int num_bits;
};

#endif
