#ifndef HW_OVERLAPPER_H
#define HW_OVERLAPPER_H

class HWOverlapper {
public:
	HWOverlapper() {
		last_buffer = -1;
//		ready_buffer = -2;
//		buffer[0] = buffer[1] = NULL;
//		ready_buf = NULL;
//		ready_blocksize = 0;
		buffer = NULL;
		p_bits = 0;
	}
	~HWOverlapper();

	int init(id_header_t &header);

	FIXINT32** nextFrame();
	int applyOverlap(int c_blocksize, int c_bits, int n_bits);
//	INT16** readyFrame();
//	UINT16 readyFrameSize() { return ready_blocksize; };
private:
//	FIXINT32 **buffer[2];
	FIXINT32 **buffer;
//	INT16 **ready_buf;
	int last_buffer;
//	int ready_buffer;
	int p_bits;

	UINT8 channels;
	UINT16 blocksize0;
	UINT16 blocksize1;
//	UINT16 ready_blocksize;
	UINT16 last_blocksize;
};

#endif
