
#ifndef OSS_AUDIO_PLAYER_H
#define OSS_AUDIO_PLAYER_H

#include "audioPlayer.h"

class OSSAudioPlayer : AudioPlayer {
public:
	OSSAudioPlayer();
	virtual ~OSSAudioPlayer();
	
	int init(id_header_t &header);
	int play(INT16 **data, int size);

private:
	int channels;
	int device_fd;

	INT16 *buffer;

	void cleanupDevice();
	int prepareDevice(id_header_t &header);
	int interleaveData(INT16 **data, int size);
};

#endif // ! OSS_AUDIO_PLAYER_H
