#ifndef OVERLAPPER_H
#define OVERLAPPER_H

class Overlapper {
public:
	Overlapper() : last_buffer(-1),ready_buffer(-2) {
		buffer[0] = buffer[1] = NULL;
		ready_buf = NULL;
		ready_blocksize = 0;
	}
	~Overlapper();

	int init(id_header_t &header);

	FIXINT32** nextFrame();
	int applyOverlap(int blocksize);
	INT16** readyFrame();
	UINT16 readyFrameSize() { return ready_blocksize; };
private:
	FIXINT32 **buffer[2];
	INT16 **ready_buf;
	int last_buffer;
	int ready_buffer;

	UINT8 channels;
	UINT16 blocksize0;
	UINT16 blocksize1;
	UINT16 ready_blocksize;
	UINT16 last_blocksize;
};

#endif
