
`timescale 10ns/1ns

module mem_wrapper_mem_wrap_v_tf();

// DATE:     01:21:00 03/17/2005 
// MODULE:   mem_wrapper
// DESIGN:   mem_wrapper
// FILENAME: mem_wrap.v
// PROJECT:  overlapp
// VERSION:  


// Inputs
    reg clk;
    reg rst;
    reg [15:0] data_top;
    reg [15:0] data_btm;
    reg [13:0] stage;
    reg [3:0] size;
    reg rdy;


// Outputs
    wire [15:0] result;
    wire done;


// Bidirs


// Instantiate the UUT
    mem_wrapper uut (
        .clk(clk), 
        .rst(rst), 
        .data_top(data_top), 
        .data_btm(data_btm), 
        .stage(stage), 
        .size(size), 
        .result(result), 
        .rdy(rdy), 
        .done(done)
        );

always #5 clk = ~clk;


initial begin
  clk = 0;
  rst = 1;
  data_top = 0;
  data_btm = 0;
  stage = 0;
  size = 0;
  rdy = 0;

  #50
  data_top = 'd20;
  data_btm = 'd20;
  stage 	 = 'd10;
  size 	=  0;
  rst 	= 0;
  
  #10
  rdy = 1;

  #60
  $stop;
end

endmodule

