[COREGEN.VERILOG Component Instantiation.fifo]
text000=" "
text001=" "
text002="// The following must be inserted into your Verilog file for this"
text003="// core to be instantiated. Change the instance name and port connections"
text004="// (in parentheses) to your own signal names."
text005=" "
text006="fifo YourInstanceName ("
text007="    .clk(clk),"
text008="    .sinit(sinit),"
text009="    .din(din),"
text010="    .wr_en(wr_en),"
text011="    .rd_en(rd_en),"
text012="    .dout(dout),"
text013="    .full(full),"
text014="    .empty(empty));"
text015=""
text016=" "
type=template
[COREGEN.VERILOG Component Instantiation.look_tblt]
text000=" "
text001=" "
text002="// The following must be inserted into your Verilog file for this"
text003="// core to be instantiated. Change the instance name and port connections"
text004="// (in parentheses) to your own signal names."
text005=" "
text006="look_tblt YourInstanceName ("
text007="    .addra(addra),"
text008="    .addrb(addrb),"
text009="    .clka(clka),"
text010="    .clkb(clkb),"
text011="    .douta(douta),"
text012="    .doutb(doutb));"
text013=""
text014=" "
type=template
[COREGEN.VERILOG Component Instantiation.look_up_64]
text000=" "
text001=" "
text002="// The following must be inserted into your Verilog file for this"
text003="// core to be instantiated. Change the instance name and port connections"
text004="// (in parentheses) to your own signal names."
text005=" "
text006="look_up_64 YourInstanceName ("
text007="    .A(A),"
text008="    .SPO(SPO));"
text009=""
text010=" "
type=template
[COREGEN.VERILOG Component Instantiation.mult]
text000=" "
text001=" "
text002="// The following must be inserted into your Verilog file for this"
text003="// core to be instantiated. Change the instance name and port connections"
text004="// (in parentheses) to your own signal names."
text005=" "
text006="mult YourInstanceName ("
text007="    .clk(clk),"
text008="    .a(a),"
text009="    .b(b),"
text010="    .q(q),"
text011="    .nd(nd),"
text012="    .rdy(rdy));"
text013=""
text014=" "
type=template
[COREGEN.VHDL Component Instantiation.fifo]
text000=" "
text001=" "
text002="-- The following code must appear in the VHDL architecture header:"
text003=" "
text004="component fifo"
text005="    port ("
text006="    clk: IN std_logic;"
text007="    sinit: IN std_logic;"
text008="    din: IN std_logic_VECTOR(15 downto 0);"
text009="    wr_en: IN std_logic;"
text010="    rd_en: IN std_logic;"
text011="    dout: OUT std_logic_VECTOR(15 downto 0);"
text012="    full: OUT std_logic;"
text013="    empty: OUT std_logic);"
text014="end component;"
text015=""
text016=""
text017=""
text018=" "
text019="-------------------------------------------------------------"
text020=" "
text021="-- The following code must appear in the VHDL architecture body."
text022="-- Substitute your own instance name and net names."
text023=" "
text024="your_instance_name : fifo"
text025="        port map ("
text026="            clk => clk,"
text027="            sinit => sinit,"
text028="            din => din,"
text029="            wr_en => wr_en,"
text030="            rd_en => rd_en,"
text031="            dout => dout,"
text032="            full => full,"
text033="            empty => empty);"
text034=" "
type=template
[COREGEN.VHDL Component Instantiation.look_tblt]
text000=" "
text001=" "
text002="-- The following code must appear in the VHDL architecture header:"
text003=" "
text004="component look_tblt"
text005="    port ("
text006="    addra: IN std_logic_VECTOR(12 downto 0);"
text007="    addrb: IN std_logic_VECTOR(12 downto 0);"
text008="    clka: IN std_logic;"
text009="    clkb: IN std_logic;"
text010="    douta: OUT std_logic_VECTOR(15 downto 0);"
text011="    doutb: OUT std_logic_VECTOR(15 downto 0));"
text012="end component;"
text013=""
text014=""
text015=""
text016=" "
text017="-------------------------------------------------------------"
text018=" "
text019="-- The following code must appear in the VHDL architecture body."
text020="-- Substitute your own instance name and net names."
text021=" "
text022="your_instance_name : look_tblt"
text023="        port map ("
text024="            addra => addra,"
text025="            addrb => addrb,"
text026="            clka => clka,"
text027="            clkb => clkb,"
text028="            douta => douta,"
text029="            doutb => doutb);"
text030=" "
type=template
[COREGEN.VHDL Component Instantiation.look_up_64]
text000=" "
text001=" "
text002="-- The following code must appear in the VHDL architecture header:"
text003=" "
text004="component look_up_64"
text005="    port ("
text006="    A: IN std_logic_VECTOR(5 downto 0);"
text007="    SPO: OUT std_logic_VECTOR(15 downto 0));"
text008="end component;"
text009=""
text010=""
text011=""
text012=" "
text013="-------------------------------------------------------------"
text014=" "
text015="-- The following code must appear in the VHDL architecture body."
text016="-- Substitute your own instance name and net names."
text017=" "
text018="your_instance_name : look_up_64"
text019="        port map ("
text020="            A => A,"
text021="            SPO => SPO);"
text022=" "
type=template
[COREGEN.VHDL Component Instantiation.mult]
text000=" "
text001=" "
text002="-- The following code must appear in the VHDL architecture header:"
text003=" "
text004="component mult"
text005="    port ("
text006="    clk: IN std_logic;"
text007="    a: IN std_logic_VECTOR(15 downto 0);"
text008="    b: IN std_logic_VECTOR(15 downto 0);"
text009="    q: OUT std_logic_VECTOR(31 downto 0);"
text010="    nd: IN std_logic;"
text011="    rdy: OUT std_logic);"
text012="end component;"
text013=""
text014=""
text015=""
text016=" "
text017="-------------------------------------------------------------"
text018=" "
text019="-- The following code must appear in the VHDL architecture body."
text020="-- Substitute your own instance name and net names."
text021=" "
text022="your_instance_name : mult"
text023="        port map ("
text024="            clk => clk,"
text025="            a => a,"
text026="            b => b,"
text027="            q => q,"
text028="            nd => nd,"
text029="            rdy => rdy);"
text030=" "
type=template
