

`timescale 10ns/1ns

/** A quick test to determine and stimulate the input to make sure the 
	multiply was working */
module mult_unit_mult_test_v_tf();

// DATE:     01:28:01 03/17/2005 
// MODULE:   mult_unit
// DESIGN:   mult_unit
// FILENAME: mult_test.v
// PROJECT:  overlapp
// VERSION:  


// Inputs
    reg clk;
    reg rst;
    reg [15:0] data;
    reg [13:0] stage;
    reg [3:0] size;
    reg [15:0] memory;
    reg rdy;


// Outputs
    wire [12:0] address;
    wire [15:0] result;
    wire done;


// Bidirs


// Instantiate the UUT
    mult_unit uut (
        .clk(clk), 
        .rst(rst), 
        .data(data), 
        .stage(stage), 
        .size(size), 
        .memory(memory), 
        .address(address), 
        .result(result), 
        .rdy(rdy), 
        .done(done)
        );

always #5 clk = ~clk;

initial begin
	clk = 0;
	  rst = 1;
	  data = 0;
	  stage = 0;
	  size = 0;
	  memory = 0;
	  rdy = 0;

	#50;
	rst = 0;

	#5;
	data = 'd40;
	stage = 'd0;
	size = 0;
	memory = ~0;

	#10;
	rdy = 1;

	#2000;
	rdy = 0;
	data = 'd20;
	memory = 'd10;

	#100;
	rdy = 1;

	#2000;
	$stop;
end


endmodule

