library verilog;
use verilog.vl_types.all;
entity mem_wrapper is
    port(
        clk             : in     vl_logic;
        rst             : in     vl_logic;
        data_top        : in     vl_logic_vector(15 downto 0);
        data_btm        : in     vl_logic_vector(15 downto 0);
        stage           : in     vl_logic_vector(13 downto 0);
        size            : in     vl_logic_vector(2 downto 0);
        result          : out    vl_logic_vector(15 downto 0);
        btoa            : in     vl_logic;
        rdy             : in     vl_logic;
        done            : out    vl_logic
    );
end mem_wrapper;
