library verilog;
use verilog.vl_types.all;
entity mult_unit is
    generic(
        \WAIT\          : integer := 0;
        capture         : integer := 1;
        \MEMORY\        : integer := 2;
        wait_multiply   : integer := 3;
        capture_multiply: integer := 4;
        raise_done      : integer := 5
    );
    port(
        clk             : in     vl_logic;
        rst             : in     vl_logic;
        data            : in     vl_logic_vector(15 downto 0);
        stage           : in     vl_logic_vector(13 downto 0);
        size            : in     vl_logic_vector(2 downto 0);
        memory          : in     vl_logic_vector(15 downto 0);
        address         : out    vl_logic_vector(12 downto 0);
        result          : out    vl_logic_vector(15 downto 0);
        rdy             : in     vl_logic;
        done            : out    vl_logic
    );
end mult_unit;
