#ifndef AUDIO_PLAYER_H
#define AUDIO_PLAYER_H

#include "my_types.h"
#include "oggStream.h"
#include "codebook.h"
#include "floor1.h"
#include "bitset.h"
#include "residue.h"
#include "vorbis_defs.h"

class AudioPlayer {
public:
	virtual int init(id_header_t &header) = 0;
	virtual int play(INT16 **data, int size) = 0;
};

#endif // ! AUDIO_PLAYER_H
