`timescale 10ns/1ns


module outer_wrapper_Full_ver_v_tf();

// DATE:     11:05:42 03/20/2005 
// MODULE:   outer_wrapper
// DESIGN:   outer_wrapper
// FILENAME: Full_ver.v
// PROJECT:  overlapp
// VERSION:  

// Inputs
    reg clk;
    reg rst;
    reg [0:31] FSL_in_data;
    reg [0:15] data;
    reg FSL_in_exists;
    reg FSL_in_cntrl;
    reg FSL_out_full;

    integer fIn;	
    integer fOut;
    integer final;
// Outputs
    wire FSL_in_read;
    wire [0:31] FSL_out_data;
    wire FSL_out_write;
    wire FSL_out_cntrl;


// Bidirs


// Instantiate the UUT
    outer_wrapper uut (
        .clk(clk), 
        .rst(rst), 
        .FSL_in32(FSL_in_data), 
        .FSL_in_exists(FSL_in_exists), 
        .FSL_in_read(FSL_in_read), 
        .FSL_in_cntrl(FSL_in_cntrl), 
        .FSL_out32(FSL_out_data), 
        .FSL_out_full(FSL_out_full), 
        .FSL_out_write(FSL_out_write), 
        .FSL_out_cntrl(FSL_out_cntrl)
        );

	   always #5 clk = ~clk;

	   always @(posedge FSL_out_write)
	   begin
	   		if (FSL_out_data[12:27] != 7281)
			begin
			$fscanf(fOut, "%d", data);
			if (data < (FSL_out_data[12:27] - 'd10) || data > (FSL_out_data[12:27] + 'd10))
/*				$display ("%d", data);											 
			else */
				$display ("--> %x expecting %x", FSL_out_data[12:27], data);
			else
				$display("%x expecting %x", FSL_out_data[12:27], data);
			//end
			//	--$display ("%d", FSL_out_data);
			end
	   end

	   always @(negedge FSL_in_read) FSL_in_exists = 1'b0;

        initial begin
            clk = 0;
            rst = 1;
            FSL_in_data = 0;
            FSL_in_exists = 0;
            FSL_in_cntrl = 0;
            FSL_out_full = 0;
		 
		  fIn = 123;
		  fIn = $fopen("input.txt", "r");
		  fOut = $fopen("output.txt", "r");
		  final = 1;

		  #20
		  rst = 0;

		  #30;
		  while(final != -1)
		  begin
		  	#35
		  	final = $fscanf(fIn, "%d", FSL_in_data[16:31]);
			#5
			FSL_in_exists = 1'b1;
		  end
        end

endmodule

