`timescale 10 ps / 100 ns

module mult_unit_test_addr_v_tf();

// DATE:     00:23:52 03/14/2005 
// MODULE:   mult_unit
// DESIGN:   mult_unit
// FILENAME: test_addr.v
// PROJECT:  overlapp
// VERSION:  


// Inputs
    reg clk;
    reg [15:0] data;
    reg [13:0] stage;
    reg [3:0] size;
    reg [15:0] memory;
    reg rdy;


// Outputs
    wire [14:0] address;
    wire [15:0] result;
    wire done;


// Bidirs


// Instantiate the UUT
    mult_unit uut (
        .clk(clk), 
        .data(data), 
        .stage(stage), 
        .size(size), 
        .memory(memory), 
        .address(address), 
        .result(result), 
        .rdy(rdy), 
        .done(done)
        );


// Initialize Inputs
    `ifdef auto_init

        initial begin
            clk = 0;
            data = 0;
            stage = 0;
            size = 0;
            memory = 0;
            rdy = 0;
        end

    `endif


endmodule

